Connect with us

News

WhatsApp will stop running on these old phones from Apple, Samsung and others

Published

on

WhatsApp

Highlights:

  • WhatsApp has revealed its new device requirements for compatibility with Android, iOS, and KaiOS devices.
  • It will stop support for Android 4.0.3, iOS 9, and KaiOS 2.5.0.
  • WhatsApp cited the problem of security and updates to justify this move.

If you are using your old device, then it’s time to update it. WhatsApp recently updated its minimum system requirements and this means, it will stop support for older devices. As per the information shared on the WhatsApp FAQ section, starting November 1, the Facebook-owned texting platform will cease to support systems running on Android 4.0.3 Ice Cream Sandwich, iOS 9, and KaiOS 2.5.0.

The list released by WhatsApp includes smartphones from Samsung, LG, ZTE, Huawei, Sony, Alcatel, and others. Notably, these phones will not receive support from WhatsApp and will be incompatible with the app.

List of Smartphones Not Supporting WhatsApp

Apple iPhone

iPhone SE (first generation), iPhone 6s, and iPhone 6s Plus, in case they’re not updated from iOS 10, will lose support for WhatsApp.

LG

LG Lucid 2, Optimus F7, Optimus F5, Optimus L3 II Dual, Optimus F5, Optimus L5, Optimus L5 II, Optimus L5 Dual, Optimus L3 II, Optimus L7,Optimus L7 II Dual, Optimus L7 II, Optimus F6, Enact , Optimus L4 II Dual, Optimus F3, Optimus L4 II, Optimus L2 II, Optimus Nitro HD and 4X HD, and Optimus F3Q.

Samsung

Samsung Galaxy Trend Lite, Samsung Galaxy Trend II, Samsung Galaxy SII, Samsung Galaxy S3 mini, Samsung Galaxy Xcover 2, Galaxy Core, and Galaxy Ace 2.

Sony

Sony Xperia Miro, Sony Xperia Neo L, Xperia Arc S.

Huawei

The Huawei Ascend Mate, Huawei Ascend G740, Ascend D Quad XL, Ascend D1 Quad XL, Ascend P1 S and Ascend D2.

Other Smartphones

Alcatel One Touch Evo 7, Archos 53 Platinum, HTC Desire 500, Caterpillar Cat B15, Wiko Cink Five, Wiko Darknight, Lenovo A820, UMi X2, Faea F1, and THL W8.

If you wish to check the operating system version that your phone is running on, you can visit the ‘Settings’ on your device and tap ‘About Phone’ to find out. If you are using an older version of Android or iOS, you can update it to the latest version easily. But there are some devices that will not support any further updates and WhatsApp won’t be compatible with them. It is highly unlikely that you still own any of these devices since most of them are at least 10 years old. If you own any of these devices, it’s time you upgrade it to keep using WhatsApp.

Thanks for Reading!!

Also Read:

Good News for PUBG Fans: Coming to India on November 11th, PUBG: New State Mobile Game

Among Us game to arrive on PlayStation and Xbox consoles this December!! Check details

Click to comment

Leave a Reply

Your email address will not be published. Required fields are marked *

Copyright © 2020 - 2021 TechZimo.com, All rights reserved.